package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 调度系统-用水量检测对象 t_guiji_housingconstruction_ysljc
 *
 * @author lei
 * @date 2021-10-30
 */
public class TGuijiHousingconstructionYsljc extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 传感器编号 */
    private String id;

    /** 推送时间 */
    @Excel(name = "推送时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 操作状态 */
    @Excel(name = "操作状态")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 地区名称 */
    @Excel(name = "地区名称")
    private String dnm;

    /** 站点名称 */
    @Excel(name = "站点名称")
    private String snm;

    /** 传感器列表 */
    @Excel(name = "传感器列表")
    private String sensor;

    /** 传感器名称 */
    @Excel(name = "传感器名称")
    private String name;

    /** 时间戳 */
    @Excel(name = "时间戳")
    private String time;

    /** 数值 */
    @Excel(name = "数值")
    private String value;

    /** null */
    @Excel(name = "null")
    private String ssid;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setCdTime(String cdTime)
    {
        this.cdTime = cdTime;
    }

    public String getCdTime()
    {
        return cdTime;
    }
    public void setCdBatch(String cdBatch)
    {
        this.cdBatch = cdBatch;
    }

    public String getCdBatch()
    {
        return cdBatch;
    }
    public void setCdOperation(String cdOperation)
    {
        this.cdOperation = cdOperation;
    }

    public String getCdOperation()
    {
        return cdOperation;
    }
    public void setCdSource(String cdSource)
    {
        this.cdSource = cdSource;
    }

    public String getCdSource()
    {
        return cdSource;
    }
    public void setDnm(String dnm)
    {
        this.dnm = dnm;
    }

    public String getDnm()
    {
        return dnm;
    }
    public void setSnm(String snm)
    {
        this.snm = snm;
    }

    public String getSnm()
    {
        return snm;
    }
    public void setSensor(String sensor)
    {
        this.sensor = sensor;
    }

    public String getSensor()
    {
        return sensor;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setTime(String time)
    {
        this.time = time;
    }

    public String getTime()
    {
        return time;
    }
    public void setValue(String value)
    {
        this.value = value;
    }

    public String getValue()
    {
        return value;
    }
    public void setSsid(String ssid)
    {
        this.ssid = ssid;
    }

    public String getSsid()
    {
        return ssid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("cdTime", getCdTime())
            .append("cdBatch", getCdBatch())
            .append("cdOperation", getCdOperation())
            .append("cdSource", getCdSource())
            .append("dnm", getDnm())
            .append("snm", getSnm())
            .append("sensor", getSensor())
            .append("name", getName())
            .append("time", getTime())
            .append("value", getValue())
            .append("ssid", getSsid())
            .toString();
    }
}
